
#ifndef CLICKAREA_H
#define CLICKAREA_H

#include <qstring.h>
#include <qrect.h>
#include <qevent.h>
#include <qregexp.h>

#include <kprocess.h>
#include <kprocio.h>
#include <krun.h>
#include <ksimpleconfig.h>

#include "karamba.h"
#include "meter.h"

/**
* @author Hans Karlsson
* @version 0.22
*/
class ClickArea : public Meter
{
    Q_OBJECT
public:
    ClickArea(int x, int y, int w, int h );

    ~ClickArea();

    void click( QMouseEvent* );
    void setOnClick( QString );
    void setOnMiddleClick( QString );

    QRect getRectangle();

    void mUpdate( QPainter* );
    void setValue( int );
    void setValue( QString );
    void setTooltip( QString );
    void setKaramba(karamba*);

    QRect rect;
    QString onClick;
    QString onMiddleClick;
    QString value;

private:
    karamba* myKaramba;
};

#endif
