/***************************************************************************
 *   Copyright (C) 2003 by Bosselut Cyril                                   *
 *   bosselut@b1project.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef ICONLABEL_H
#define ICONLABEL_H

#include <qpixmap.h>
#include <qimage.h>
#include <qpainter.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qtimer.h>
#include <qtooltip.h>

#include <kiconloader.h>

#include "karamba.h"
#include "meter.h"

class karamba;

/**
 * @author Bosselut Cyril <bosselut@b1project.com>
 * @version 0.22
 */
class IconLabel : public Meter
{
public:
  IconLabel( int ix,int iy,int iw,int ih );
  IconLabel();
  ~IconLabel();
  void setValue( QString imagePath );

  void setValue( int );
  void setSize( int s=0 );
  void setCenter( bool c, int w=0, int h=0 );
  void mUpdate( QPainter * );

  void rolloverImage(QMouseEvent *e);
  void parseImages( QString fn, int, int, int, int, int won=0 );

  void setKaramba(karamba*);
  void setTooltip(QString txt);

private:

  int pixmapWidth;
  int pixmapHeight;
  int woff;
  int won;
  bool center;
  int witdh;
  int height;
  QString icon;

  QPixmap pixmap;
  QRect rect_off, rect_on;

  bool zoomed;
  bool rollover;
  QPixmap pixmap_off;
  QPixmap pixmap_on;
  int xoff,xon;
  int yoff,yon;
  karamba* myKaramba;
  KIconLoader* i;
}
;
#endif // IMAGELABEL_H
